-- Verify camper:campsite_type_option on pg

begin;

select campsite_type_option_id
     , campsite_type_id
     , name
     , range
     , position
from camper.campsite_type_option
where false;

select 1 / count(*) from pg_class where oid = 'camper.campsite_type_option'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.campsite_type_option'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.campsite_type_option'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.campsite_type_option'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.campsite_type_option'::regclass;


rollback;
